Scilab Function

spzeros - matrice creuse nulle

### Parameters

- `nrows` : entier (nombre de lignes)
- `ncols` : entier (nombre de colonnes)
- `A` : matrice creuse
- `sp` : matrice creuse nulle

### Description

`sp=spzeros(nrows,ncols,fill)` renvoie une matrice creuse nulle `sp` avec `nrows` lignes et `ncols` colonnes (Équivalent à `sparse([],[],[nrow,ncols])` ).

`sp=spzeros(A)` renvoie une matrice creuse nulle de mêmes dimensions que `A` . Si `[m,n]=size(A)` , les commandes `spzeros(m,n)` et `spzeros(A)` sont équivalentes. En particulier `spzeros(3)` n'est pas équivalent à `spzeros(3,3)` .

### Examples

    sum(spzeros(1000,1000))

### See Also

`sparse` , `full` , `eye` , `speye` , `spones` ,